.gift_p_active {
 position: relative;
 width: 12px;
 height: 255px;
}

.gift_shkala1 {
    position: absolute;
    left: 0;
    top: 0;
    width: 13.25px;
    height: 255px;
    left: 0px;
    bottom: 0px;
    top: auto;
    background: url(../gifts/gift1.svg) 0 0 / 13.25px 100% no-repeat;
    -webkit-transition: .5s;
    -o-transition: .5s;
    transition: .5s;
}

.gift_p_active_i {
    -webkit-transition: .5s;
    -o-transition: .5s;
    transition: .5s;
    width: 13.25px;
    position: absolute;
    bottom: 0px;
    right: -1px;
    max-height: 255px !important;
    overflow: hidden;
}

.gifts_module.active {z-index: 10000;}
@media(min-width:768px) {
    .gift_p_active_i {width:13.25px!important}
    .ui-pnotify  {right:40px!important;}
     }
.gift_p_active_i:after {
    height: 255px;
    width: 13.25px;
    bottom: 0;
    left: 0px;
    content: '';
    background: url(../gifts/gift2.svg) center bottom / cover no-repeat;
    position: absolute;
    -webkit-transition: .5s;
    -o-transition: .5s;
    transition: .5s;
}
.gifts_module {display:flex;position: fixed;right:0px;top: 50%;z-index: 100;margin-top: -158px;}
.gift_content {display:flex;}
.gift_close {position:absolute;left: -25px;background: transparent;border: 0px;padding: 0px;}
.gift_content {background:#fff;box-shadow:0px 0px 10px #000;position: relative;background: rgba(255, 255, 255, 1);border-radius: 5px;box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.25);padding: 10px;gap: 20px;}
.gift_title_1 {font-weight:600; text-transform:uppercase; color:#000;}
.gift_var {background:#D7D7D7; border-radius:7px; margin-top:10px; padding:5px; position:relative;}
.gift_check {position:absolute;right: -6px;top: -6px; opacity:0;}
.gift_p_shkala {align-self:flex-end;}
.gift_title{width: 90px;
height: 22.09px;
background: rgba(178, 177, 177, 1);
border-radius: 0px 10px 20px 0px; color:#fff; font-weight:600; display:flex; gap:5px; align-items:center; margin-left:-5px;
}
.gift_title img {width:16px; margin-left:5px;}
.gift_button_select button{width:100%;background:#B2B1B1;border:0px;position: relative;border-radius:5px;}
.gift_a {font-size:11px; text-align:center; padding-bottom:5px;  opacity:0;}
.gift_button_select span {text-transform:uppercase;font-weight:bold;color:#fff;padding-left: 10px;}
.gift_button_select svg path,.gift_button_select svg rect {stroke:#fff}
.gift_var.active .gift_a,.gift_var.active .gift_check{opacity:1}
.gift_var.active { 
background: rgba(45, 68, 176, 1);
border: 0px solid rgba(45, 68, 176, 1);
border-radius: 7px;
box-sizing: border-box;
box-shadow: 0px 4px 40px 0px rgba(45, 68, 176, 1);}
.gift_var.active .gift_title {background:#000; color:#fff}
.gift_var.active .gift_a {color:#fff;font-weight: 600;}

.gift_var.active  .gift_button_select button {background:#fff;}
.gift_var.active .gift_button_select svg path,.gift_var.active .gift_button_select svg rect {stroke:rgba(45, 68, 176, 1)}
.gift_var.active button span {color:rgba(45, 68, 176, 1)}
.gift_button_select button svg {position:absolute; left:5px;top:6px;}
.gift_block_var {display:none;}
.gifts_checkout_row .gift_block_var  {display: flex;flex-direction: row;gap:10px;}
.gifts_checkout_row  .gift_title_1 {display:none;}
.gifts_checkout_row .gift_var {width:33%; }
.gift_close {display:none;}
.gift_l2 {display:none;}
.gift_content {padding-top:40px;}
.gift_v1  {position:absolute;top:0px;height: 36px;line-height: 36px;}
.gift_v1.active .gift_l2 {display:block;}
.gift_v1.active .gift_l1 {display:none;}
.gift_l2 img {position:relative;left: -15px;}
.gift_l1 svg {position:relative;top:5px; left:-2px;}
.gift_content.active .gift_block_var {display:block}
.gift_content.active .gift_v1  {display:none;}
.gift_content.active {
    padding-top: 20px;
}
.gifts_module.active .gift_close  {display:block;}
.gifts_module {cursor:pointer}
.modal-backdrop {z-index:100003}
.modal {z-index:100004}
.gift_modal .modal-dialog{ width:754px; }
.gift_modal .modal-title {font-size:20px; color:#000; font-weight:600;}
.gift_modal .modal-title span {font-size:14px;color:rgba(45, 68, 176, 1); font-weight:400; padding-left:10px;}
.gift_modal .product_gift {}
 .gift_modal .modal-header {border:0px;}
.gift_modal .close {opacity:1;}
.gift_modal .modal-content {padding:20px;border-radius: 16px;box-shadow: none;border: 0px;}
.gift_modal .modal-body {display:flex;gap:20px;flex-wrap: wrap;}
.gift_modal  .product_gift {width: calc(33.3% - 13.3px);border:1px solid #E7E7E7;padding:10px;border-radius:10px;flex-wrap: wrap;}
.button-gift button svg {margin:0px; height:10px; width:30px; position:absolute; left:15px;top:12px;display:none;}
.button-gift button {width:100%;position:relative;background:rgba(45, 68, 176, 1);border:0px;color:#fff;font-weight:600;border-radius: 10px;height:36px;}
.gift_modal .caption a{color:#000;font-weight: 400;margin-bottom: 15px;display:block;}
.product_gift.active .button-gift button svg {display:block;}
.product_gift.active {border:1px solid rgba(45, 68, 176, 1);}

.gift_button_select .bb4 {display:none;}
.gift_var.active .bb3 {display:none;}
.gift_var.active .bb4 {display:block;}

.gift_mobi {display: none;}

@media(max-width:768px) {
.gift_pc {display: none; }
.gift_mobi {display: block;left: 0px!important;top: 19px;}

 .gift_p_active {
    position: relative;
    width: 255px;
    height: 13.5px;
    overflow: hidden;
    border-radius: 20px;
}
    .gift_shkala1 {
    width: 255px;
    height: 13.25px;
    background: url(../gifts/grade2_2.svg) left center/96vw no-repeat;
    background-size: contain;
    top: 0px;
    }

    .gift_p_active_i {
        width: 255px;
        height: 13.25px!important;
        left: 0px;
        right: auto;
        bottom: 0px;
    }
    .gift_p_active_i:after {width: 255px;height: 13.25px;background: url(../gifts/grade1_1.svg) left bottom/100% 100% no-repeat;bottom: 0px;left: 0px;}

.gift_content.active .gift_block_var {display: flex;flex-wrap:wrap;gap: 7px;flex-direction: row-reverse;}
    .gift_var {width: calc(33% - 5px);margin-top: 0px;}
 .gift_content.active {flex-direction:column;gap: 10px;}
    .gift_title_1 {width:100%;}
    .gift_a {display:none;}
    .gift_button_select {margin-top:10px;}
    .gift_close {
    left: auto;
    right: 0px;
    top: -25px;
}
    .gift_p_shkala {
    align-self: flex-start;
    width: 255px;
} 
    .gifts_module {top:auto;bottom:0px;right: auto;width: 320px;margin-top: 0px;left: 50%;margin-left: -160px;}
    .gift_close img {transform:rotate(90deg)}
    .gift_close {z-index:10;right: 7px;}
    .gift_content {width: 320px;padding-top: 10px;}
    .gift_v1 {right:0px; top:-20px;}
    .gift_modal .modal-dialog {width:100%;padding: 0px;margin: 0px;}
    .gift_modal .modal-body {flex-direction:row;padding: 0px;margin-top: 20px;gap: 10px;}
    .gift_modal .modal-body >div {width: calc(50% - 5px);}
    .gift_modal .caption a {font-size:12px; line-height:15px;}
    .gift_modal .image {text-align:center}
     .gift_modal .image img {margin:0px auto}
    .gift_modal .modal-header {padding:0px;}
    .gift_modal .modal-title span {padding-left:0px; display:block; font-size:13px;}
    .gift_l1 {width:36px;height:35px;background: transparent;text-align:center;border-radius:10px;margin-right: 10px;bottom: -16px;position: relative;}
    .gift_l1 svg {position:relative;left: 6px;}
}

.gifts_checkout_row {display: block;gap:10px;flex-wrap:wrap;} 
.gifts_checkout_row > div {}
.gifts_checkout_row > div img {}
.gifts_checkout_row > div a {color:#000;margin-bottom:5px;font-size: 12px;line-height: 15px;display:block;}
.gifts_checkout {background:#fff; padding:20px; box-shadow:0px 0px 20px #000; margin-top:20px; 
background: rgba(255, 255, 255, 1);
border-radius: 10px;
box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.16)
;}
.gifts_checkout_title {font-size:15px; font-weight:bold; color:#000; margin-bottom:10px; }
.gifts_checkout button {}
.gifts_checkout .button-gift {padding-bottom:40px;}
.gifts_checkout > div {position:relative;}
.gifts_checkout_row > div {position:relative;}
 .modal-body .product_gift .button-gift {padding-bottom:30px;} 
.modal-body .product_gift {position:relative;}
 .modal-body .product_gift  button {position:absolute; bottom:10px; width:calc(100% - 20px);}
.modal-open .gifts_module.active {opacity:0}
@media(max-width:768px) {
    .gifts_checkout_row > div {}
    .gifts_checkout {padding: 5px;}
    .scroll-top {bottom: 40px!important;}
    .gifts_module.active {z-index:10000;}

   .gifts_checkout_row .gift_title {font-size:10px;}
    .gift_button_select span {font-size:11px;}
    .gift_title {max-width:100%;font-size: 11px;}
   .colmn-1 .gift_var {width:100%!important;}
    .colmn-2 .gift_var {width:calc(50% - 5px)!important;} 
}

.gift_var .gift_check {display:none;}
.gift_var.selected .gift_check {display:block;}

